{
  "compilerOptions": {
    "module": "commonjs",
    "esModuleInterop": true,
    "target": "es6",
    "noImplicitAny": true,
    "moduleResolution": "node",
    "declaration": true,
    "rootDirs": ["src"],
    "sourceMap": false,
    "outDir": "lib",
    "baseUrl": "src",
    "lib": ["es6", "es2017", "dom", "es2019"],
    "paths": {
      "src/*": ["src/*"],
      "*": ["src/types/*"]
    },
    "allowSyntheticDefaultImports": true
  },
  "include": ["src/**/*"],
  "exclude": ["src/**/__tests__"],
  "typeRoots": ["../src/types", "node_modules/@types"]
}
